Home > Element Reference

## Mozilla XUL and Script Reference

The following is a reference to all XUL elements, including their attributes and script properties and methods. It also includes some JavaScript global objects and parts of the DOM.

Download Zip Version

Quick Reference

### Common Script Objects

XUL Document Node | Element XUL Element | Navigator Event | XUL Window Screen

### XUL Elements

action
arrowscrollbox
autorepeatbutton
binding
bindings
box
broadcaster
broadcasterset
button
browser
checkbox
caption
colorpicker
column
columns
commands
commandset
command
conditions
content
deck
description
dialog
editor
grid
grippy
groupbox

hbox
iframe
image
key
keyset
label
listbox
listcell
listcol
listcols
listhead
listitem
member
menu
menubar
menuitem
menulist
menupopup
menuseparator
observes
overlay
page
popup
popupset
progressmeter
radio

radiogroup
resizer
resourcebundle
row
rows
rule
script
scrollbar
scrollbarbutton
scrollbox
separator
slider
spacer
splitter
stack
statusbar
statusbarpanel
stringbundle
stringbundleset
tab
tabbrowser
tabbox
tabpanel
tabpanels
tabs
template

textnode
textbox
thumb
titlebar
toolbar
toolbarbutton
toolbargrippy
toolbaritem
toolbarpalette
toolbarseparator
toolbarset
toolbox
tooltip
tree
treecell
treechildren
treecol
treecols
treeitem
treerow
treeseparator
triple
vbox
window
wizard
wizardpage

Autocomplete Textbox | Event Handlers | Mozilla's Custom Style Properties

### XBL Elements

bindings binding content children handlers handler implementation | property field getter setter method parameter body | constructor destructor resources image stylesheet

### XPInstall Objects

InstallTrigger | Install | File

### XMLExtras Objects

DOMParser | XMLSerializer | XMLHttpRequest

### Some of Mozilla's Built-in Datasources

rdf:bookmarks | rdf:history | rdf:files | rdf:window-mediator

Copyright (C) 1999 - 2002 XULPlanet.com